跳转到内容

启动云端运行环境

Request

将浏览器环境作为云端运行环境启动。浏览器运行在 MoreLogin 基础设施上,而不是本机。

启动过程是异步的。成功响应仅表示启动请求已被接受。请轮询 分页查询云端运行环境,直到 cloudBrowserStatus 变为 RUNNING 然后调用连接云端运行环境

同一成员的每个环境只能有一个活动运行实例。启动时还会校验环境权限、功能权益、 代理连通性、内核可用性和 AI 积分余额。

Bodyapplication/jsonrequired
envIdstring(EnvironmentId)^[1-9]\d*$required

Browser profile (environment) ID. Serialized as a decimal string to avoid JavaScript precision loss on 64-bit integers.

Example:"1800000000000001"
POST
/api/cloudbrowser/start
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudbrowser/start \
  -H 'Content-Type: application/json' \
  -d '{
    "envId": "1800000000000001"
  }'

Responses

Success

Bodyapplication/json
codeintegerrequired

Return result code. 0 means success; other codes indicate exceptions.

Example:0
msgstring or nullrequired

Error message. Usually null on success.

Example:null
requestIdstring

Operation request ID. This field may be present when the request passes through the API gateway.

Example:"1d4f3ea968664593860b94b35d4ebf5e"
datanull
Example:null
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": null }